## ros-noetic-fkie-master-sync 1.3.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fkie_master_sync)
find_package(catkin REQUIRED COMPONENTS fkie_master_discovery fkie_multimaster_msgs)

catkin_package(CATKIN_DEPENDS fkie_master_discovery fkie_multimaster_msgs)
catkin_python_setup()

catkin_install_python(
    PROGRAMS
        nodes/master_sync
        nodes/param_sync.py
    DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(
    DIRECTORY
    launch
    DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-noetic-fkie-master-sync (1.3.2-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sat, 16 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-sync (1.3.1-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-sync (1.3.0-2buster) buster; urgency=high

  * fixed param sync
  * fkie_master_sync: convert diagnostic value to string
  * fkie_master_sync: fix value error while prepare diagnostic report
  * fkie_master_sync: fixed debug output
  * fkie_master_sync: improved warnings for unsupported or wrong md5sum message types
  * fkie_master_sync: added names and topics of multimaster nodes to default ignore lists
  * fkie_master_sync: do not update publisher node if it is in filter lister
  * fkie_master_sync: added master_sync and master_discovery
  * fkie_master_sync: added diagnostics and master_sync topics to default ignore list
  * Contributors: Alexander Tiderko, Thomas Barz

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 14 Jul 2022 22:00:00 -0000

ros-noetic-fkie-master-sync (1.2.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 22 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.6-2buster) buster; urgency=high

  * replaced Thread.isAlive() by .is_alive() according to issue #149 <https://github.com/fkie/multimaster_fkie/issues/149>
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.5-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 15 Jan 2021 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.4-2buster) buster; urgency=high

  * fkie_master_sync: fix problems after stop master_sync on remote hosts
  * updated diagnostic message for warnings in master_sync
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 10 Nov 2020 23:00:00 -0000

ros-noetic-fkie-master-sync (1.2.0-2buster) buster; urgency=high

  * fkie_multimaster: fixed warning for cmake_minimum_required
  * fkie_multimaster: fixed build/start in noetic
  * fkie_master_sync: send OK diagnostic message on start
  * fkie_master_sync: changed handling of the issue #128 <https://github.com/fkie/multimaster_fkie/issues/128>
    Changed update of the publisher after register a remote subscription
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 21 Jul 2020 22:00:00 -0000

ros-noetic-fkie-master-sync (1.1.0-2buster) buster; urgency=high

  * prepared conditions for python3  in package xml
  * fkie_multimaster_msgs: changed timestamp in MasterState from float to time
  * fkie_multimaster: a lot of merges for python 3 compatibility
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 12 May 2020 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.12-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 29 Apr 2019 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.11-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 26 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.10-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 25 Feb 2019 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.9-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 20 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.8-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 18 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 17 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.5-2buster) buster; urgency=high

  * master_sync_fkie: added a simple node to sync parameter
    Original code from
    https://github.com/jhu-lcsr-forks/multimaster_fkie/tree/param-sync
    adapted to change only local ROS Parameter Server
  * Contributors: Alexander Tiderko

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Mon, 10 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.4-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 07 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.3-2buster) buster; urgency=high

  * install launch dir pull request #81 <https://github.com/fkie/multimaster_fkie/issues/81> from ahoarau/patch-1
  * Contributors: Alexander Tiderko, Antoine Hoarau

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 06 Dec 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.8.2-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 09 Aug 2018 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.1-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 02 Aug 2018 22:00:00 -0000

ros-noetic-fkie-master-sync (0.8.0-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Sun, 15 Jul 2018 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.8-2buster) buster; urgency=high

  * Fix catkin_lint warnings
  * Contributors: Timo Röhling

 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Fri, 23 Mar 2018 23:00:00 -0000

ros-noetic-fkie-master-sync (0.7.7-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Thu, 26 Oct 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.6-2buster) buster; urgency=high



 -- Alexander Tiderko <alexander.tiderko@gmail.com>  Tue, 03 Oct 2017 22:00:00 -0000

ros-noetic-fkie-master-sync (0.7.5-2buster) buster; urgency=high

  * fkie_master_sync: changed default filter for sync nodes, see issue #63 <https://github.com/fkie/fkie_multimaster/issues/63>
  * Contributors: Alexander Tiderko



=== debian/control ===
Source: ros-noetic-fkie-master-sync
Section: misc
Priority: optional
Maintainer: Alexander Tiderko <alexander.tiderko@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-fkie-master-discovery, ros-noetic-fkie-multimaster-msgs
Homepage: http://ros.org/wiki/master_sync_fkie
Standards-Version: 3.9.2

Package: ros-noetic-fkie-master-sync
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-fkie-master-discovery, ros-noetic-fkie-multimaster-msgs, ros-noetic-rosgraph, ros-noetic-roslib, ros-noetic-rospy
Description: Synchronize the local ROS master to the remote masters discovered by fkie_master_discovery node.
 The registration of topics and services is only perform by local ROS master.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fkie-master-sync//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
